# Class VulkanCommandBufferSubmitInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanCommandBufferSubmitInfo.Builder

Enclosing class:
  `VulkanCommandBufferSubmitInfo`

public static final class VulkanCommandBufferSubmitInfo.Builder extends Object
Builds instances of type `VulkanCommandBufferSubmitInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanCommandBufferSubmitInfo`
  `build()`
  Builds a new `VulkanCommandBufferSubmitInfo`.
  `final VulkanCommandBufferSubmitInfo.Builder`
  `from(VulkanCommandBufferSubmitInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanCommandBufferSubmitInfoType` instance.
  `final VulkanCommandBufferSubmitInfo.Builder`
  `setCommandBuffer(VulkanCommandBufferType commandBuffer)`
  Initializes the value for the `commandBuffer` attribute.
  `final VulkanCommandBufferSubmitInfo.Builder`
  `setDeviceMask(long deviceMask)`
  Initializes the value for the `deviceMask` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanCommandBufferSubmitInfo.Builder from(VulkanCommandBufferSubmitInfoType instance)
    Fill a builder with attribute values from the provided `VulkanCommandBufferSubmitInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setCommandBuffer

    public final VulkanCommandBufferSubmitInfo.Builder setCommandBuffer(VulkanCommandBufferType commandBuffer)
    Initializes the value for the `commandBuffer` attribute.
    Parameters:
      `commandBuffer` - The value for commandBuffer
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceMask

    public final VulkanCommandBufferSubmitInfo.Builder setDeviceMask(long deviceMask)
    Initializes the value for the `deviceMask` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `deviceMask`.

    Parameters:
      `deviceMask` - The value for deviceMask
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanCommandBufferSubmitInfo build()
    Builds a new `VulkanCommandBufferSubmitInfo`.
    Returns:
      An immutable instance of VulkanCommandBufferSubmitInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing